Name: msyslog
Summary: msyslog is a secure replacement syslog daemon for sysklogd
Version: 1.01
Release: 1
Source: http://www.core-sdi.com/soft/%{name}-v%{version}.tar.gz
Source1: syslog.init
Source2: syslog.conf
Source3: syslog.log
Group: System Environment/Daemons
URL: http://www.core-sdi.com/download/download1.html
BuildRoot: %{_tmppath}/%{name}-buildroot
License: BSD
Prereq: fileutils /sbin/chkconfig /etc/init.d
Requires: logrotate
Conflicts: sysklogd
Prefix: %{_prefix}
Packager: Ian Macdonald <ian@caliban.org>

%description
The msyslog package provides support for secure system logging. It runs as
a daemon (background process) and logs system messages to different
places, like sendmail logs, security logs, error logs, etc.

The msyslog daemon is intended as a secure replacement for syslogd and klogd.

%prep
rm -rf %{buildroot}
%setup -n %{name}-v%{version}

%build
%configure --prefix=$RPM_BUILD_ROOT --sbindir=$RPM_BUILD_ROOT/sbin \
	   --with-msyslog-libdir=$RPM_BUILD_ROOT/lib/%{name} \
	   --mandir=$RPM_BUILD_ROOT/%{_mandir}
make

%install
mkdir -p $RPM_BUILD_ROOT/{%{_initrddir},%{_sysconfdir}/{logrotate.d,sysconfig},sbin,%{_mandir}/man{5,8}}
make install DESTDIR=$RPM_BUILD_ROOT
install -m 644 $RPM_SOURCE_DIR/syslog.conf $RPM_BUILD_ROOT/%{_sysconfdir}
install -m 644 $RPM_SOURCE_DIR/syslog.log \
	$RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d/syslog
install -m 644 $RPM_SOURCE_DIR/syslog.sysconfig \
	$RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/syslog
install -m 755 $RPM_SOURCE_DIR/syslog.init $RPM_BUILD_ROOT/%{_initrddir}/syslog
install -m 700 -d $RPM_BUILD_ROOT/var/syslog

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{name}-v%{version}

%post
for i in messages secure maillog cron spooler boot.log
do
	f=/var/log/$i
        [ ! -f $f ] && touch $f && chmod 600 $f

	k=/var/syslog/.var.log.$i.key
	while [ ! -f $k ]; do
		/sbin/peochk -g -f $f -k $k -m md5 2> /dev/null
		# need to sleep here to build up sufficient entropy
		# this sucks!
		sleep 1
	done
done
/sbin/chkconfig --add syslog

%preun
if [ $1 = 0 ]; then
	/sbin/chkconfig --del syslog
	service syslog stop >/dev/null 2>&1
fi

%postun
if [ "$1" -ge "1" ]; then
	service syslog condrestart > /dev/null 2>&1
fi

%triggerpostun -- sysklogd < 1.3.31-17
/sbin/chkconfig --add syslog

%triggerpostun -- sysklogd < 1.3.33-5
/sbin/chkconfig syslog reset

%files
%defattr(0755,root,root)
%doc COPYING INSTALL README doc/ src/examples
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/syslog.conf
%config(noreplace) %{_sysconfdir}/sysconfig/syslog
%config %{_initrddir}/syslog
%config %{_sysconfdir}/logrotate.d/syslog
%dir %attr(0700i,-,-) /var/syslog
/sbin/peochk
/sbin/syslogd
%{_mandir}/*/*

%changelog
* Tue Jul 10 2001 Ian Macdonald <ian@google.com> 1.01-1
- first RPM package
